// CUIMsgShopButton - [2020-04-13 11:57:47]
#ifndef _CUIMSGSHOPBUTTON_H_
#define _CUIMSGSHOPBUTTON_H_

#include "CMessageBox.h"

/*
0014260C CUIMsgShopButton::CUIMsgShopButton(int,int)
0014276C CUIMsgShopButton::~CUIMsgShopButton()
00142650 CUIMsgShopButton::Render()
00142760 CUIMsgShopButton::RenderPost()
00142762 CUIMsgShopButton::Process()
00142766 CUIMsgShopButton::SetCost(int)
*/

class CUIMsgShopButton : public CMessageBox {
public:
  CUIMsgShopButton(int, int);  // 0014260C
  ~CUIMsgShopButton();         // 0014276C
  virtual void Render();       // 00142650
  virtual int Process();       // 00142762

  void RenderPost();  // 00142760
  void SetCost(int);  // 00142766
};

#endif  //_CUIMSGSHOPBUTTON_H_